#define iptunnel_rev(PORT, PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA) \
if (ip_type()) { \
	if (match(IP_type, PORT)) { \
		if (rev(PROTO, POLICY_TYPE, PROTO_PARAMS, POLICY_PARAMS, DATA)) { \
			halt; \
		} \
	} \
}
